#ifndef MUSIC_H
#define MUSIC_H

#include "Gamepad.h"
#include "mbed.h"
#include "rtos.h"

/** Music Class
 * @brief  Plays songs
 * @author Rex Roshan Raj
 */
class Music
{

public:

    /** Constructor */
    Music();
    
    /** Destructor */
    ~Music();

    /** Plays introduction song
    * @param Gamepad pad
    */
    void intro_song(Gamepad &pad);
    
    /** Plays mission success song
    * @param Gamepad pad
    */
    void mission_success(Gamepad &pad);
    
    /** Plays mission fail song
    * @param Gamepad pad
    */
    void mission_fail(Gamepad &pad);
    
private:
    Thread Thread;
    
};

#endif
